Summary: exim mail transfer agent
Name: cued-exim
Version: 4.63
Release: 2
License: GPL
Url: http://www.exim.org
Packager: John Sloan <js138@eng.cam.ac.uk>
Group: System Environment/Daemons
Buildroot: %{_tmppath}/%{name}-build.root
Provides: smtpdaemon smtp_daemon
Prereq: /sbin/chkconfig
Conflicts: sendmail, postfix
Provides: exim
ExclusiveOS: Linux
Source0: ftp://ftp.csx.cam.ac.uk/pub/software/email/exim/exim4/exim-%{PACKAGE_VERSION}.tar.bz2
Source1: exim.conf
Source2: exim.init
Source3: exim.sysconfig
Source4: exim.logrotate
Source5: exim.sysadmin.alias
Source6: exim.sysadmin.unames
Patch0: exim/Local-Makefile.patch
Patch1: exim/Local-eximon.conf.patch

%description
Exim is a mail transport agent (MTA) developed at the University of
Cambridge for use on Unix systems connected to the Internet. In style
it is similar to Smail 3, but its facilities are more extensive, and
in particular it has options for verifying incoming sender and
recipient addresses, for refusing mail from specified hosts, networks,
or senders, and for controlling mail relaying. Exim is in production
use at quite a few sites, some of which move hundreds of thousands of
messages per day.

This variant modified to act as a "dumb config" mailer for use in CUED.
Please remember to set a sysadmin alias after installation by following
the instructions in: /etc/mail/sysadmin.alias

%package -n eximon
Summary: Exim Monitoring X application
Group: System Environment/Daemons
Requires: exim = %{PACKAGE_VERSION}

%description -n eximon
Eximon is an X monitoring application for Exim Queues.

%package dumb-config
Summary: Exim basic dumb config for CUED
Group: System Environment/Daemons
Requires: exim

%description dumb-config
Basic configuration for exim in CUED

%prep
%setup -n exim-%{PACKAGE_VERSION}
cp src/EDITME Local/Makefile
%patch0 -p0
cp exim_monitor/EDITME Local/eximon.conf
%patch1 -p0
sed -e s/lib/%{_lib}/ OS/Makefile-Linux > Local/Makefile-Linux

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin

cd build-`scripts/os-type`-`scripts/arch-type`
install -m 4775 exim $RPM_BUILD_ROOT/usr/sbin

for i in exim_dumpdb exim_fixdb exim_tidydb \
  	exinext exiwhat exim_dbmbuild exicyclog exim_lock \
	exigrep eximstats exiqsumm convert4r3
do
    install -m 0775 $i $RPM_BUILD_ROOT/usr/sbin
done

for i in eximon eximon.bin
do
    install -m 0775 $i $RPM_BUILD_ROOT/usr/X11R6/bin
done

mkdir -p $RPM_BUILD_ROOT/etc/exim
install -m 0644 $RPM_SOURCE_DIR/exim.conf $RPM_BUILD_ROOT/etc/exim/exim.conf
install -m 0644 $RPM_SOURCE_DIR/exim.sysadmin.alias \
                  $RPM_BUILD_ROOT/etc/exim/sysadmin.alias
install -m 0644 $RPM_SOURCE_DIR/exim.sysadmin.unames \
                  $RPM_BUILD_ROOT/etc/exim/sysadmin.unames

pushd $RPM_BUILD_ROOT/etc
ln -sf exim/exim.conf exim.conf
popd

pushd $RPM_BUILD_ROOT/usr/lib/
ln -sf ../sbin/exim sendmail
popd

pushd $RPM_BUILD_ROOT/usr/sbin/
ln -sf exim sendmail
popd

pushd $RPM_BUILD_ROOT/usr/bin/
ln -sf ../sbin/exim mailq
ln -sf ../sbin/exim runq
ln -sf ../sbin/exim rsmtp
ln -sf ../sbin/exim rmail
ln -sf ../sbin/exim newaliases
popd

install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/db
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/input
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/msglog
install -d -m 0750 $RPM_BUILD_ROOT/var/log/exim

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 $RPM_SOURCE_DIR/exim.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/exim

mkdir -p $RPM_BUILD_ROOT/etc/init.d
install $RPM_SOURCE_DIR/exim.init $RPM_BUILD_ROOT/etc/init.d/exim

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 0644 $RPM_SOURCE_DIR/exim.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/exim

strip $RPM_BUILD_ROOT/usr/sbin/* || :

chmod g-w $RPM_BUILD_ROOT/usr/sbin/*

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%post
/sbin/chkconfig --add exim

%preun
if [ $1 = 0 ]; then
    /sbin/service exim stop > /dev/null 2>&1
    [ -d /var/log/exim ] && rm -f /var/log/exim/*
    /sbin/chkconfig --del exim
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service exim  condrestart > /dev/null 2>&1
fi

%files
%defattr(04755,root,mail)
/usr/sbin/exim
%defattr(-,root,root)
/usr/sbin/exim_dumpdb
/usr/sbin/exim_fixdb
/usr/sbin/exim_tidydb
/usr/sbin/exinext
/usr/sbin/exiwhat
/usr/sbin/exim_dbmbuild
/usr/sbin/exicyclog
/usr/sbin/exigrep
/usr/sbin/eximstats
/usr/sbin/exiqsumm
/usr/sbin/exim_lock
/usr/sbin/convert4r3
/usr/lib/sendmail
/usr/sbin/sendmail
/usr/bin/mailq
/usr/bin/runq
/usr/bin/rsmtp
/usr/bin/rmail
/usr/bin/newaliases
/etc/exim
/etc/sysconfig/exim

%defattr(-,mail,mail)
%dir /var/spool/exim
%dir /var/spool/exim/db
%dir /var/spool/exim/input
%dir /var/spool/exim/msglog
%dir /var/log/exim

%defattr(-,root,root)
%config /etc/logrotate.d/exim
%config /etc/init.d/exim

%files -n eximon
/usr/X11R6/bin/eximon
/usr/X11R6/bin/eximon.bin

%files dumb-config
%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/exim
%defattr(-,root,mail)
%config(noreplace) /etc/exim.conf
%dir /etc/exim
%config(noreplace) /etc/exim/exim.conf
%config(noreplace) /etc/exim/sysadmin.alias
%config(noreplace) /etc/exim/sysadmin.unames

%doc LICENCE NOTICE README.UPDATING README
%doc doc util/unknownuser.sh

%changelog
